<div class="product-sales-area">
  <div class="container-fluid custom_container_fluid_padding">
      <div class="row">
          <div class="col-sm-6 col-xs-6">
              <h4 class="page-title">Users</h4>
          </div>
          <div class="col-sm-6 col-xs-6 text-right">
            <a class="btn btn-primary btn-sm Add_button_custom" style="color: white;" data-toggle="modal"
              data-target="#New_User" (click)="onAdd_userPop()"><i class="fa fa-plus"></i> Add New User</a>
          </div>
      </div>
      <div class="row">
          <div class="col-lg-12">
              <div class="card-box">
                  <div class="row">
                      <div class="col-md-12">
                          <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
                              <div class="panel panel-default">
                                  <div class="panel-heading" role="tab" id="headingOne" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                      <h4 class="panel-title">
                                          <a>
                                              <i class="more-less fa fa-plus"></i>
                                              <span class="searchbar_text_padding_left"> Search 
                                              </span>
                                          </a>
                                      </h4>
                                  </div>
                                  <div id="collapseOne" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingOne">
                                      <div class="panel-body">
                                          <div class="row">
                                              <div class="col-md-2 col_custom_padding">
                                                  <div class="form-group">
                                                      <label class="search_label">User Name</label>
                                                      <input type="text" class="form-control" placeholder="Enter User Name" [(ngModel)]="search_userName"> 
                                                  </div>
                                              </div>
                                              <div class="col-md-2 col_custom_padding">
                                                  <div class="form-group">
                                                      <label class="search_label">Email</label>
                                                      <input type="text" class="form-control" placeholder="Enter Email" [(ngModel)]="searchemail_Address">
                                                  </div>
                                              </div>
                                              <div class="col-md-2 col_custom_padding">
                                                  <div class="form-group">
                                                      <label class="search_label">Service Level</label>                           
                                                      <select class="form-control" [(ngModel)]="getService.id"
                                                        name="serviceLevel">
                                                        <option value="0">Select from list</option>
                                                        <option *ngFor="let option of serviceLevel_list" value={{option.id}}>
                                                          {{option.level_name}}
                                                        </option>
                                                      </select>
                                                  </div>
                                              </div>  
                                              <div class="col-md-2 col_custom_padding">
                                                  <div class="form-group">
                                                      <label class="search_label">Status</label>
                                                      <select class="form-control" [(ngModel)]="getStatus.id">
                                                          <option value="2">Select Status</option>
                                                          <option value="0">Inactive</option>
                                                          <option value="1">Active</option>                                                      
                                                      </select>
                                                  </div>
                                              </div>
                                              <div class="col-md-2 col_custom_padding">
                                                  <div class="">
                                                      <label class="search_label" style="width: 100%;">&nbsp;</label>
                                                      <button class="btn btn-primary search_btn_width" (click)="onSearchBtnClick()"><i class="fa fa-search"></i> Search</button>
                                                  </div>
                                              </div>
                                          </div>
                                      </div>
                                  </div>
                              </div>
                          </div>
                      </div>
                  </div>
          <div class="row">
            <div class="col-md-12">
              <div class="table-responsive">
                <!--KENDO GRID START-->

                <kendo-grid [data]="userListGriddata" height="auto" [pageSize]="pageSize" [sort]="sort" [skip]="state.skip"
                  (sortChange)="sortUserlistChange($event)" [filter]="state.filter" [pageable]="true" scrollable="true"
                  [resizable]="true" [reorderable]="true" (dataStateChange)="userListDataStateChange($event)"
                  (pageChange)="pageChange($event)">


                  <kendo-grid-column field="user_name" title="USER NAME"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'180px'}" [style]="{'width':'180px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-left noPadding_xs">
                          <div>
                            {{index.user_name}}
                          </div>
                          <!-- <a  href="javascript:void(0)"  (click)="OnUsernameClick(index.id,index.user_type.id==3)">
                            <h6 class="table_heading_name trade_font" style="color: #19b5fe !important;">{{index.user_name}}</h6>
                          </a> -->
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="email_address" title="EMAIL"
                    [headerStyle]="{'height':'40px','text-left':'center','width':'160px'}" [style]="{'width':'160px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-left noPadding_xs">
                          <div>
                            {{index.email_address}}
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                 
                  <kendo-grid-column field="user_type" title="USER TYPE"
                    [headerStyle]="{'height':'40px','text-align':'center','width':'100px'}" [style]="{'width':'100px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-center noPadding_xs">
                          <!-- <div *ngIf="index.user_type.id==3">                                                    
                              <i class="fa fa-check"></i>                            
                          </div> -->
                          {{index.user_type.user_type_name}}
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="level" title="SERVICE LEVEL"
                    [headerStyle]="{'height':'40px','text-align':'center','width':'120px'}" [style]="{'width':'120px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-center noPadding_xs">
                          <div>
                            {{index.level?.level_name}}
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="isVerified" title="IS VERIFIED"
                    [headerStyle]="{'height':'40px','text-align':'center','width':'100px'}" [style]="{'width':'100px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-center noPadding_xs">
                          <div  *ngIf="index.is_verified_email_address==true"> 
                            <!-- {{index.level?.level_name}} -->
                           Yes
                          </div>
                          <div  *ngIf="index.is_verified_email_address==false"> 
                            <!-- {{index.level?.level_name}} -->
                           No
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="is_active" title="STATUS"
                    [headerStyle]="{'height':'40px','text-align':'center','width':'100px'}" [style]="{'width':'100px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-center noPadding_xs">
                          <div *ngIf="index.is_active==true">
                            <!-- {{index.is_active}} -->
                            Active
                          </div>
                          <div *ngIf="index.is_active==false">
                            <!-- {{index.is_active}} -->
                            InActive
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="action" title="ACTION" 
                    [headerStyle]="{'height':'40px','text-align':'center','width':'80px'}" [style]="{'width':'80px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row" >
                        <div class="col-md-12 row_padding text-center noPadding_xs">
                          <!-- *ngIf="index.user_type.id==1" -->
                          <div *ngIf="index.user_type.id==1">
                            <a title="Edit" data-toggle="modal" data-target="#Edit_User" (click)="onUserslist_Update(index.id)"><i class="fa fa-pencil edit_icon"></i></a>
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                </kendo-grid>
                <!--KENDO GRID-->
              </div>
            </div>
          </div>
          <!-- <div class="row">
            <div class="col-md-6">
              <h5 class="showing_entries_class">Showing 1 to 5 of 5 entries</h5>
            </div>
            <div class="col-md-6 text-right">
              <nav aria-label="Page navigation example">
                <ul class="pagination">
                  <li class="page-item"><a class="page-link" href="#">Previous</a></li>
                  <li class="page-item"><a class="page-link" href="#">1</a></li>
                  <li class="page-item"><a class="page-link" href="#">Next</a></li>
                </ul>
              </nav>
            </div>
          </div> -->
        </div>
      </div>
    </div>
  </div>
</div>

 <!-- Edit User Modal Start -->
 <div id="Edit_User" class="modal fade" role="dialog">  
  <div class="modal-dialog custom_modal_dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" style="color: white;">Edit User</h5>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label class="pop_label">Name</label>
                    <input type="text" class="form-control"  placeholder="Name" [(ngModel)]="user_Name" name="username" #txt_username="ngModel" readonly>
                    <span class="error_msg" *ngIf="checkvalidation && txt_username.errors?.required">
                      Please Enter Name
                    </span>
                  </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label class="pop_label">Email</label>
                    <input type="email" class="form-control"  placeholder="Email" [(ngModel)]="email_address" name="email" #txt_email="ngModel" readonly>
                    <span class="error_msg" *ngIf="checkvalidation && txt_email.errors?.required">
                      Please Enter Email
                    </span>
                  </div>
            </div>
        </div>
        <!-- <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <div style="white-space: nowrap;" *ngIf="user_type==3">
                        <input class="styled-checkbox" id="styled-checkbox-41" type="checkbox" [(ngModel)]="user_type" readonly>
                        <label for="styled-checkbox-41" style="font-weight: 600;">Seller</label>
                    </div>
                </div>
            </div>
        </div> -->
        <div class="row">
          <div class="col-md-12">
              <div class="form-group">
                  <label class="pop_label">User Type</label>
                  <select class="form-control" [(ngModel)]="user_type"
                  name="service_Level" disabled="user_type==2 && user_type==3">
                  <option value="0">Select from list</option>
                  <option value="1">Backoffice</option>
                  <option value="2">Buyer</option>
                  <option value="3">Seller</option>
                </select>
              </div>
          </div>
      </div>
        <div class="row" *ngIf="user_type!=1 && user_type!=2 && user_type!=3">
            <div class="col-md-12">
                <div class="form-group">
                    <label class="pop_label">Service Level</label>
                    <select class="form-control" [(ngModel)]="service_Level"
                    name="service_Level">
                    <option value="0">Select from list</option>
                    <option *ngFor="let option of serviceLevel_list" value={{option.id}}>
                      {{option.level_name}}
                    </option>
                  </select>
                  <span class="error_msg" *ngIf="checkvalidation && service_Level==0">
                    Please Select Level
                  </span>
                </div>
            </div>
        </div>
        <div class="row"  *ngIf="user_type!=1 && user_type!=2 && user_type!=3">
            <div class="col-md-3">
                <div class="form-group">
                    <label class="pop_label">Is Verified</label>
                </div>
            </div>
            <div class="col-md-9">
                <div class="checkbox checbox-switch" style="margin: 0;">
                    <label class="switch">
                      <input type="checkbox" [(ngModel)]="isVerifiedEmail" readonly>
                      <span class="slider round"></span>
                    </label>
                </div>
            </div>
        </div>
        <div class="row" *ngIf="user_type==1">
            <div class="col-md-12">
                <div class="form-group">
                    <label class="pop_label">Status</label>
                    <select class="form-control" [(ngModel)]="userStatus">
                      <option value="2">Select from list</option>
                      <option value="0">Inactive</option>
                      <option value="1">Active</option>                     
                  </select> 
                  <span class="error_msg" *ngIf="checkvalidation && userStatus==2">
                    Please Select Status
                  </span>   
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12 text-right">
                <a  class="btn btn-primary btn-sm Add_button_custom" style="color: #fff !important;" (click)="onUpdate_User()">Update</a>
                <a  class="btn btn-secondary btn-sm custom_btn_css" data-dismiss="modal" style="color: #fff !important;margin-left:5px;">Cancel</a>
            </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Edit User Modal End -->

 <!-- Add New User Modal Start -->
 <div id="New_User" class="modal fade" role="dialog">  
  <div class="modal-dialog custom_modal_dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" style="color: white;">Add New User</h5>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label class="pop_label">Name</label>
                    <input type="text" class="form-control"  placeholder="Name" [(ngModel)]="user_Name" name="username" #txt_username="ngModel" autocomplete="off" required>
                    <span class="error_msg" *ngIf="checkvalidation && txt_username.errors?.required">
                      Please Enter Name
                    </span>
                  </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label class="pop_label">Email</label>
                    <input type="email" class="form-control"  placeholder="Email" [(ngModel)]="email_address" name="email" #txt_email="ngModel" autocomplete="off" required>
                    <span class="error_msg" *ngIf="checkvalidation && txt_email.errors?.required">
                      Please Enter Email
                    </span>
                  </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label class="pop_label">User Type</label>
                    <select class="form-control" [(ngModel)]="user_type"
                    name="service_Level" aria-readonly="true" disabled>
                    <option value="0">Select from list</option>
                    <option value="1" >Backoffice</option>
                    <option value="2">Buyer</option>
                    <option value="3">Seller</option>
                  </select>
                 
                </div>
            </div>
        </div>
             <div class="row">
            <div class="col-md-12 text-right">
                <a  class="btn btn-primary btn-sm Add_button_custom" style="color: #fff !important;width: 85px;" (click)="onAddUser_Savebtn()">Save</a>
                <a  class="btn btn-secondary btn-sm custom_btn_css" data-dismiss="modal" style="color: #fff !important;margin-left:5px;width: 85px;">Cancel</a>
            </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Add New User Modal End -->